Name:           qzion
Version:        0.3.0
Release:        2%{?dist}
Summary:        A canvas abstraction

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://dev.openbossa.org/trac/qedje/
Source0:        http://dev.openbossa.org/qedje/downloads/source/%{name}/%{name}-%{version}.tar.gz
Patch0:         qzion-0.3.0-rmhardcoded.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  pkgconfig

%description
QZion is an canvas abstraction used by and made for QEdje.

%package devel

Summary:   Development files for %{name}
Group:     Development/Libraries
Requires:  pkgconfig
Requires:  %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

#Support installing in buildroot
sed -i "s/^DESTDIR = \$(QTDIR)/DESTDIR = \$(INSTALL_ROOT)\$(QTDIR)/" */*.pro */*/*.pro


%build
%{_qt4_qmake} PREFIX=/usr LIBDIR=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

#These are apparently only needed for static linking?
find %{buildroot} -name *.prl -print -delete

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-2
- Implemented package review suggestions
- Remove BR: eet-devel

* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-1
- Initial package
